Index: /issm/trunk-jpl/externalpackages/android/android_aux.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/android/android_aux.sh	(revision 13646)
+++ /issm/trunk-jpl/externalpackages/android/android_aux.sh	(revision 13647)
@@ -16,5 +16,9 @@
 j=1;
 
+echo ""
+echo "This install script utilizes 'android_aux.sh' to allow for options."
+echo "For usage information enter: '--help'"
 echo Number of arguments is: $#
+
 for arg in $* 
 do 
@@ -22,9 +26,18 @@
         step=${BASH_REMATCH[1]}; 
         echo "Setting step to: " $step
-    elif [[ "$arg" =~ -j=([1-9]+[0-9]*) || "$arg" =~ ([1-9]+[0-9]*) ]]; then
+    elif [[ "$arg" == "--help" ]]; then
+        echo ""
+        echo "USAGE: $ install.sh [--step=#] [-j#]"
+        echo ""
+        echo "Where '#' is some integer."
+        echo "To check the number of steps check the install script."
+        echo ""
+        exit 1;
+    elif [[ "$arg" =~ -j=([1-9]+[0-9]*) ]]; then
         j=${BASH_REMATCH[1]}; 
         echo "Number of jobs set to: " $j
     else
         echo "Option not recognized"
+        exit 1;
     fi
 done
